Bug 1185025 - ldclt needs to support SSL Version range
Summary: ldclt needs to support SSL Version range
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base
Version: 6.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: rc
: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-22 17:54 UTC by Noriko Hosoi
Modified: 2020-09-13 21:19 UTC (History)
3 users (show)

Fixed In Version: 389-ds-base-1.2.11.15-51.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-22 06:36:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github 389ds 389-ds-base issues 1327 0 None None None 2020-09-13 21:19:31 UTC
Red Hat Product Errata RHBA-2015:1326 0 normal SHIPPED_LIVE 389-ds-base bug fix and enhancement update 2015-07-20 17:53:07 UTC

Description Noriko Hosoi 2015-01-22 17:54:05 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/47996

The current ldclt on master fails to connect to the server via SSL since the server side disables SSLv3 by default.

[..] conn=134 fd=64 slot=64 SSL connection from ::1 to ::1
[..] conn=134 op=-1 fd=64 closed - Cannot communicate securely with peer: no common encryption algorithm(s).

Comment 2 Noriko Hosoi 2015-02-20 02:09:35 UTC
Verification steps:
Run ldclt with secure mode.
If the operation (e.g., search) works over SSL/TLS, the fix is verified.

Comment 3 Viktor Ashirov 2015-03-16 16:06:17 UTC
Build tested:
389-ds-base-1.2.11.15-52.el6.x86_64
389-ds-base-libs-1.2.11.15-52.el6.x86_64

ns-slapd has SSL/TLS on port 1616:
$ ldclt -e esearch -h localhost -p 1616 -f '(uid=entry1189users1)' -N 10
ldclt version 4.23
ldclt[10339]: Starting at Mon Mar 16 16:51:34 2015

ldclt[10339]: Average rate:    0.00/thr  (   0.00/sec), total:      0
ldclt[10339]: Average rate:    0.00/thr  (   0.00/sec), total:      0
ldclt[10339]: Average rate:    0.00/thr  (   0.00/sec), total:      0
ldclt[10339]: T000: No activity for 40 seconds --     1 in row, total     1
ldclt[10339]: T001: No activity for 40 seconds --     1 in row, total     1
ldclt[10339]: T002: No activity for 40 seconds --     1 in row, total     1
ldclt[10339]: T003: No activity for 40 seconds --     1 in row, total     1
ldclt[10339]: T004: No activity for 40 seconds --     1 in row, total     1
ldclt[10339]: T005: No activity for 40 seconds --     1 in row, total     1
ldclt[10339]: T006: No activity for 40 seconds --     1 in row, total     1
ldclt[10339]: T007: No activity for 40 seconds --     1 in row, total     1
ldclt[10339]: T008: No activity for 40 seconds --     1 in row, total     1
ldclt[10339]: T009: No activity for 40 seconds --     1 in row, total     1
ldclt[10339]: Average rate:    0.00/thr  (   0.00/sec), total:      0
ldclt[10339]: Average rate:    0.00/thr  (   0.00/sec), total:      0
ldclt[10339]: Average rate:    0.00/thr  (   0.00/sec), total:      0
ldclt[10339]: Average rate:    0.00/thr  (   0.00/sec), total:      0
ldclt[10339]: T000: No activity for 40 seconds --     2 in row, total     2
ldclt[10339]: T001: No activity for 40 seconds --     2 in row, total     2
ldclt[10339]: T002: No activity for 40 seconds --     2 in row, total     2
ldclt[10339]: T003: No activity for 40 seconds --     2 in row, total     2
ldclt[10339]: T004: No activity for 40 seconds --     2 in row, total     2
ldclt[10339]: T005: No activity for 40 seconds --     2 in row, total     2
ldclt[10339]: T006: No activity for 40 seconds --     2 in row, total     2
ldclt[10339]: T007: No activity for 40 seconds --     2 in row, total     2
ldclt[10339]: T008: No activity for 40 seconds --     2 in row, total     2
ldclt[10339]: T009: No activity for 40 seconds --     2 in row, total     2
ldclt[10339]: Average rate:    0.00/thr  (   0.00/sec), total:      0
ldclt[10339]: Average rate:    0.00/thr  (   0.00/sec), total:      0
ldclt[10339]: Average rate:    0.00/thr  (   0.00/sec), total:      0
ldclt[10339]: Number of samples achieved. Bye-bye...
ldclt[10339]: All threads are dead - exit.
ldclt[10339]: Global average rate:    0.00/thr  (  0.00/sec), total:      0
ldclt[10339]: Global number times "no activity" reports: 20
ldclt[10339]: Global no error occurs during this session.
ldclt[10339]: Ending at Mon Mar 16 16:53:14 2015
ldclt[10339]: Exit status 0 - No problem during execution.

ldclt works over SSL/TLS, marking as VERIFIED

Comment 4 errata-xmlrpc 2015-07-22 06:36:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1326.html


Note You need to log in before you can comment on or make changes to this bug.